echo "Creating environment variables..."
LOADMAP_DIR=/appl/virtuo/admin/techpacks/UMTS_Nortel_UTRAN_R050/2.0.0.0/loadmaps/UMTS_Nortel_UTRAN_R5
DA_DIR=/appl/virtuo/admin/techpacks/UMTS_Nortel_UTRAN_R050/2.0.0.0/loadmaps
MAINXML_DIR=/appl/virtuo/admin/techpacks/UMTS_Nortel_UTRAN_R050/2.0.0.0/metalayer
NEW_TP_DIR=/appl/virtuo/admin/techpacks
#backups for old performance data loadmaps
echo "Completed - Creating environment variables..."
echo "Backing up UMTS_Nortel_UTRAN_R050 performance data loadmaps files..."
mv $LOADMAP_DIR/datasource_nortel_utran_r5.xml $LOADMAP_DIR/datasource_nortel_utran_r5.xml.old
mv $LOADMAP_DIR/datasource_nortel_utran_r5.xml.signature $LOADMAP_DIR/datasource_nortel_utran_r5.xml.signature.old
mv $LOADMAP_DIR/loaderconfiguration_nortel_utran_r5.xml $LOADMAP_DIR/loaderconfiguration_nortel_utran_r5.xml.old
mv $LOADMAP_DIR/loaderconfiguration_nortel_utran_r5.xml.signature $LOADMAP_DIR/loaderconfiguration_nortel_utran_r5.xml.signature.old
mv $LOADMAP_DIR/relations_nortel_utran_r5.xml $LOADMAP_DIR/relations_nortel_utran_r5.xml.old
mv $LOADMAP_DIR/relations_nortel_utran_r5.xml.signature $LOADMAP_DIR/relations_nortel_utran_r5.xml.signature.old
mv $DA_DIR/dataavailability_nortel_utran_r5.xml $DA_DIR/dataavailability_nortel_utran_r5.xml.old
echo "Completed - Backing up UMTS_Nortel_UTRAN_R050 performance data loadmaps files..."
#placing new performance data loadmaps
echo "Moving new UMTS_Nortel_UTRAN_R050 loadmaps files..."
cp datasource_nortel_utran_r5.xml $LOADMAP_DIR
cp datasource_nortel_utran_r5.xml.signature $LOADMAP_DIR
cp loaderconfiguration_nortel_utran_r5.xml $LOADMAP_DIR
cp loaderconfiguration_nortel_utran_r5.xml.signature $LOADMAP_DIR
cp relations_nortel_utran_r5.xml $LOADMAP_DIR
cp relations_nortel_utran_r5.xml.signature $LOADMAP_DIR
cp dataavailability_nortel_utran_r5.xml $DA_DIR
echo "Completed - Moving new UMTS_Nortel_UTRAN_R050 loadmaps files..."
#backup old main.xml file
echo "Backing up UMTS_Nortel_UTRAN_R050 main.xml file..."
mv $MAINXML_DIR/main.xml $MAINXML_DIR/main.xml.old
mv $MAINXML_DIR/main.xml.signature $MAINXML_DIR/main.xml.signature.old
echo "Completed - Backing up UMTS_Nortel_UTRAN_R050 main.xml file..."
#move main.xml file
echo "Moving new UMTS_Nortel_UTRAN_R050 main.xml file..."
cp main.xml $MAINXML_DIR
cp main.xml.signature $MAINXML_DIR
echo "Completed - Moving new UMTS_Nortel_UTRAN_R050 main.xml file..."
#create new_techpacks directory
touch $NEW_TP_DIR/new_techpacks
#create entry into new techpacks directory
echo "UMTS_Nortel_UTRAN_R050 2.0.0.0" > $NEW_TP_DIR/new_techpacks
